/*	animcanvas.h
	Animation canvas class definition
	Copyright (C) 2005 Lawrence Sebald

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __ANIMCANVAS_H
#define __ANIMCANVAS_H

#ifdef HAVE_CONFIG_H
#	include <config.h>
#endif
#include <wx/wx.h>

#include "animdialog.h"
#include "ccmap.h"

class ccEditFrame;

class ccAnimCanvas : public wxScrolledWindow	{
	private:
		ccMap *map;
		ccAnim *anim;
		unsigned long tile;
	
	protected:
		DECLARE_EVENT_TABLE()
	
	public:
		ccAnimCanvas(wxWindow *parent, ccMap *m, ccAnim *a);
		~ccAnimCanvas();
		virtual void OnDraw(wxDC &context);
		void onLeftDown(wxMouseEvent &event);
		void update();
		unsigned long getTile();
};

#endif
