/*	animdialog.h
	Animation dialog class definition
	Copyright (C) 2005 Lawrence Sebald

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __ANIMDIALOG_H
#define __ANIMDIALOG_H

#ifdef HAVE_CONFIG_H
#	include <config.h>
#endif
#include <wx/wx.h>
#include <wx/listctrl.h>
#include <vector>

#include "ccmap.h"
#include "animcanvas.h"

class ccAnimDialog : public wxDialog	{
	private:
		ccAnim *anim;
		ccMap *map;
		wxStaticText *delay_t;
		wxStaticText *seq_t;
		wxTextCtrl *delay;
		wxButton *ok_button;
		wxButton *add_button;
		wxButton *rem_button;
		ccAnimCanvas *canvas;

	protected:
		DECLARE_EVENT_TABLE()

	public:
		ccAnimDialog(wxWindow *parent, ccMap *m, ccAnim *a);
		~ccAnimDialog();
		void onAdd(wxCommandEvent &event);
		void onRemove(wxCommandEvent &event);
		void updateAnimation();
};

#endif
