/*	collidedialog.h
	Collision map dialog class definition
	Copyright (C) 2005 Lawrence Sebald

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __COLLIDEDIALOG_H
#define __COLLIDEDIALOG_H

#ifdef HAVE_CONFIG_H
#	include <config.h>
#endif
#include <wx/wx.h>

class __ccCollisionCanvas;
class ccTile;

class ccCollisionDialog : public wxDialog	{
	private:
		__ccCollisionCanvas *canvas;
		ccTile *tile;
		wxButton *ok_button;
		wxStaticText *t1;
		wxStaticText *t2;
		wxChoice *passable;

	protected:
		DECLARE_EVENT_TABLE()		

	public:
		ccCollisionDialog(wxWindow *parent, ccTile *t);
		~ccCollisionDialog();
		void updateBox(int x, int y);
		void onChoice(wxCommandEvent &event);
};

#endif
