/*	editframe.h
	Main window class definition
	Copyright (C) 2005 Lawrence Sebald

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __EDITFRAME_H
#define __EDITFRAME_H

#ifdef HAVE_CONFIG_H
#	include <config.h>
#endif
#include <wx/wx.h>
#include <wx/wizard.h>
#include "mapcanvas.h"
#include "tilecanvas.h"

class ccEditFrame : public wxFrame	{
	private:
		wxMenuBar *menubar;
		wxMenu *filemenu;
		wxMenu *helpmenu;
		wxMenu *mapmenu;
		wxMenu *optmenu;
		wxMenu *layermenu;
		wxMenu *tilemenu;
		wxMenu *animmenu;
		ccMapCanvas *canvas;
		ccTileCanvas *tile_canv;
		ccMap *map;
		std::string curfn;

		enum	{
			FILE_NEW = 10,
			FILE_OPEN,
			FILE_SAVE,
			FILE_SAVEAS,
			FILE_IMPORT,
			FILE_EXPORT,
			FILE_QUIT,
			MAP_COLORKEY,
			MAP_SHOWANIMS,
			TILE_PROPS,
			TILE_COLLISION,
			ANIM_NEW,
			ANIM_EDIT,
			LAYER_SET,
			LAYER_SETB,
			LAYER_ADD,
			HELP_ABOUT
		};

	protected:
		DECLARE_EVENT_TABLE()

	public:
		ccEditFrame(int xp, int yp, int w, int h);
		~ccEditFrame();
		void onFileNew(wxCommandEvent &event);
		void onFileOpen(wxCommandEvent &event);
		void onFileSave(wxCommandEvent &event);
		void onFileSaveAs(wxCommandEvent &event);
		void onFileImport(wxCommandEvent &event);
		void onFileExport(wxCommandEvent &event);
		void onFileQuit(wxCommandEvent &event);
		void onMapColorkey(wxCommandEvent &event);
		void onMapShowAnims(wxCommandEvent &event);
		void onTileProperties(wxCommandEvent &event);
		void onTileCollision(wxCommandEvent &event);
		void onAnimNew(wxCommandEvent &event);
		void onAnimEdit(wxCommandEvent &event);
		void onLayerSet(wxCommandEvent &event);
		void onLayerSetBack(wxCommandEvent &event);
		void onLayerAdd(wxCommandEvent &event);
		void onHelpAbout(wxCommandEvent &event);
		void onWizFinished(wxWizardEvent& event);
		void onWizCancel(wxWizardEvent &event);
};

#endif
