/*	layerdialog.cc
	Layer dialog functions
	Copyright (C) 2005 Lawrence Sebald

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "layerdialog.h"
#include <string>

extern std::string __uitoa(unsigned int n);

ccLayerDialog::ccLayerDialog(wxWindow *parent, unsigned long maxlayers, bool b) :
wxDialog(parent, -1, "About Crabclaw Map Editor", wxDefaultPosition, wxSize(250, 150), wxDEFAULT_DIALOG_STYLE)	{
	wxGridSizer *sizer = new wxGridSizer(2, 2, 5, 5);

	ok_button = new wxButton(this, wxID_OK, "Ok");
	cancel_button = new wxButton(this, wxID_CANCEL, "Cancel");

	if(b)
		text = new wxStaticText(this, -1, "Select Back Layer:");
	else
		text = new wxStaticText(this, -1, "Select Layer:");

	choice = new wxChoice(this, -1, wxDefaultPosition, wxDefaultSize, 0);

	for(unsigned long i = 0; i < maxlayers; i++)
		choice->Append(__uitoa(i).c_str());

	sizer->Add(text, 0, wxALIGN_CENTRE);
	sizer->Add(choice, 0, wxALIGN_CENTRE);
	sizer->Add(ok_button, 0, wxALIGN_CENTRE);
	sizer->Add(cancel_button, 0, wxALIGN_CENTRE);

	SetSizer(sizer);
	SetAutoLayout(TRUE);
	Layout();
}

ccLayerDialog::~ccLayerDialog()	{
	delete choice;
	delete ok_button;
	delete cancel_button;
	delete text;
}

long ccLayerDialog::getSelectedLayer()	{
	return choice->GetSelection();
}
