/*	newmap.h
	New map wizard classes
	Copyright (C) 2005 Lawrence Sebald

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __NEWMAP_H
#define __NEWMAP_H

#include <wx/wx.h>
#include <wx/wizard.h>
#include <string>

class ccMapContainer	{
	private:
		unsigned long width;
		unsigned long height;
		unsigned long version;
		unsigned short tile_w;
		unsigned short tile_h;
		unsigned long tile_fmt;
		std::string filename;

	public:
		ccMapContainer();
		~ccMapContainer();
		void setPage2(unsigned long w, unsigned long h, unsigned long v);
		void setPage3(unsigned short w, unsigned short h, unsigned long tf, std::string f);

		unsigned long getWidth() { return width; }
		unsigned long getHeight() { return height; }
		unsigned long getVersion() { return version; }
		unsigned short getTileWidth() { return tile_w; }
		unsigned short getTileHeight() { return tile_h; }
		unsigned long getTileFormat() { return tile_fmt; }
		std::string getFilename() { return filename; }
};

class ccWizPage2 : public wxWizardPageSimple	{
	private:
		wxTextCtrl *width;
		wxTextCtrl *height;
		wxComboBox *version;
		ccMapContainer *container;

	public:
		ccWizPage2(wxWizard *parent, ccMapContainer *c);
		~ccWizPage2();
		virtual bool TransferDataFromWindow();
};

class ccWizPage4 : public wxWizardPageSimple	{
	private:
		wxTextCtrl *w, *h, *v, *tw, *th, *tf, *fn;
		ccMapContainer *container;

	public:
		ccWizPage4(wxWizard *parent, ccMapContainer *cont);
		~ccWizPage4();
		void update();
};

class ccWizPage3 : public wxWizardPageSimple	{
	private:
		wxTextCtrl *width;
		wxTextCtrl *height;
		wxTextCtrl *filename;
		wxComboBox *format;
		ccMapContainer *container;
		ccWizPage4 *wizp4;

	protected:
		DECLARE_EVENT_TABLE()

	public:
		ccWizPage3(wxWizard *parent, ccMapContainer *cont, ccWizPage4 *wp4);
		~ccWizPage3();
		virtual bool TransferDataFromWindow();
		void onBrowse(wxCommandEvent &event);
};

#endif
